Crash on cut on Mac OS High Sierra

General discussion on Zend Studio
marketacumen
Posts: 19
Joined: Thu Jul 15, 2010 9:03 pm

Re: Crash on cut on Mac OS High Sierra

Post by marketacumen » Sat Feb 03, 2018 8:38 am

Is there any update here? This is driving me crazy! Every time I cut more than a few lines the app crashes.

I've updated to the latest Java, but I don't think that Zend Studio uses the operating system Java - it uses one embedded in the application itself, I think. So upgrading your OS Java may have no effect (My OS Java is Version 9.0.4 build 9.0.4+11 x86_64, but as you can see below, Zend Studio is still running 1.8.) Is there a way to force an internal upgrade of the JRE inside Zend Studio to fix this issue? Modify the app package contents on disk or something?

macOS High Sierra Version 10.13.3 (17D47)

Zend Studio 13.6 Build ID: 13.6.1.v20170410-20170623-1730-697

Code: Select all

*** Date: Saturday, February 3, 2018 at 2:32:01 AM Eastern Standard Time

*** Platform Details:

*** System properties:
GIT_SSL_NO_VERIFY=true
applicationXMI=org.eclipse.ui.workbench/LegacyIDE.e4xmi
awt.toolkit=sun.lwawt.macosx.LWCToolkit
build.id=13.6.1.v20170410-20170623-1730-697
com.zend.javascript.build.enabled=false
com.zend.php.customization.site.url=http://downloads.zend.com/studio-eclipse/updates/13_6
eclipse.application=org.eclipse.ui.ide.workbench
eclipse.commands=-os
macosx
-ws
cocoa
-arch
x86_64
-showsplash
-launcher
/Applications/Zend Studio.app/Contents/MacOS/ZendStudio
-name
Zend Studio
--launcher.library
/Applications/Zend Studio.app/Contents/MacOS//../Eclipse/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.1.401.v20161122-1740/eclipse_1615.so
-startup
/Applications/Zend Studio.app/Contents/MacOS//../Eclipse/plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar
--launcher.overrideVmargs
-showlocation
-psn_0_1352010
-vm
/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/jli/libjli.dylib
eclipse.home.location=file:/Applications/Zend Studio.app/Contents/Eclipse/
eclipse.launcher=/Applications/Zend Studio.app/Contents/MacOS/ZendStudio
eclipse.launcher.name=Zend Studio
eclipse.p2.data.area=@config.dir/../p2/
eclipse.p2.profile=DefaultProfile
eclipse.product=com.zend.php.ide
eclipse.startTime=1517642917926
eclipse.stateSaveDelayInterval=30000
eclipse.vm=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/jli/libjli.dylib
eclipse.vmargs=-Xms128M
-DGIT_SSL_NO_VERIFY=true
-Dosgi.requiredJavaVersion=1.8
-Xmx1536M
-Djava.awt.headless=true
-XstartOnFirstThread
-Dorg.eclipse.swt.internal.carbon.smallFonts
-Xdock:icon=../Resources/mac.icns
-Djava.class.path=/Applications/Zend Studio.app/Contents/MacOS//../Eclipse/plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar
equinox.init.uuid=true
equinox.use.ds=true
expires=Free Upgrades & Support expire on: January 27, 2019
file.encoding=UTF-8
file.encoding.pkg=sun.io
file.separator=/
ftp.nonProxyHosts=local|*.local|169.254/16|*.169.254/16
gopherProxySet=false
gosh.args=--nointeractive
java.awt.graphicsenv=sun.awt.CGraphicsEnvironment
java.awt.headless=true
java.awt.printerjob=sun.lwawt.macosx.CPrinterJob
java.class.path=/Applications/Zend Studio.app/Contents/MacOS//../Eclipse/plugins/org.eclipse.equinox.launcher_1.3.201.v20161025-1711.jar
java.class.version=52.0
java.endorsed.dirs=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/endorsed
java.ext.dirs=/Users/kent/Library/Java/Extensions:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/ext:/Library/Java/Extensions:/Network/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java
java.home=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre
java.io.tmpdir=/var/folders/f3/d7f6t5bd6x55n9k7gl__shdw0000z_/T/
java.library.path=/Users/kent/Library/Java/Extensions:/Library/Java/Extensions:/Network/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java:.
java.runtime.name=Java(TM) SE Runtime Environment
java.runtime.version=1.8.0_121-b13
java.specification.name=Java Platform API Specification
java.specification.vendor=Oracle Corporation
java.specification.version=1.8
java.vendor=Oracle Corporation
java.vendor.url=http://java.oracle.com/
java.vendor.url.bug=http://bugreport.sun.com/bugreport/
java.version=1.8.0_121
java.vm.info=mixed mode
java.vm.name=Java HotSpot(TM) 64-Bit Server VM
java.vm.specification.name=Java Virtual Machine Specification
java.vm.specification.vendor=Oracle Corporation
java.vm.specification.version=1.8
java.vm.vendor=Oracle Corporation
java.vm.version=25.121-b13
jna.platform.library.path=/usr/lib:/usr/lib
jnidispatch.path=/var/folders/f3/d7f6t5bd6x55n9k7gl__shdw0000z_/T/jna-3288224/jna3602180372805830543.tmp
licensed=Zend Studio Perpetual
line.separator=

org.eclipse.debug.ui.breakpoints.toggleFactoriesUsed=true
org.eclipse.debug.ui.debugViewToolbarVisible=true
org.eclipse.equinox.launcher.splash.location=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.php_13.6.1.v20170623-1730/splash.bmp
org.eclipse.equinox.simpleconfigurator.configUrl=file:org.eclipse.equinox.simpleconfigurator/bundles.info
org.eclipse.swt.internal.carbon.smallFonts=
org.eclipse.swt.internal.deviceZoom=100
org.eclipse.update.reconcile=false
org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1,OSGi/Minimum-1.2,JavaSE/compact1-1.8,JavaSE/compact2-1.8,JavaSE/compact3-1.8,JRE-1.1,J2SE-1.2,J2SE-1.3,J2SE-1.4,J2SE-1.5,JavaSE-1.6,JavaSE-1.7,JavaSE-1.8
org.osgi.framework.language=en
org.osgi.framework.os.name=MacOSX
org.osgi.framework.os.version=10.13.3
org.osgi.framework.processor=x86-64
org.osgi.framework.system.capabilities=osgi.ee; osgi.ee="OSGi/Minimum"; version:List<Version>="1.0, 1.1, 1.2",osgi.ee; osgi.ee="JRE"; version:List<Version>="1.0, 1.1",osgi.ee; osgi.ee="JavaSE"; version:List<Version>="1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8",osgi.ee; osgi.ee="JavaSE/compact1"; version:List<Version>="1.8",osgi.ee; osgi.ee="JavaSE/compact2"; version:List<Version>="1.8",osgi.ee; osgi.ee="JavaSE/compact3"; version:List<Version>="1.8"
org.osgi.framework.system.packages=javax.accessibility,javax.activation,javax.activity,javax.annotation,javax.annotation.processing,javax.crypto,javax.crypto.interfaces,javax.crypto.spec,javax.imageio,javax.imageio.event,javax.imageio.metadata,javax.imageio.plugins.bmp,javax.imageio.plugins.jpeg,javax.imageio.spi,javax.imageio.stream,javax.jws,javax.jws.soap,javax.lang.model,javax.lang.model.element,javax.lang.model.type,javax.lang.model.util,javax.management,javax.management.loading,javax.management.modelmbean,javax.management.monitor,javax.management.openmbean,javax.management.relation,javax.management.remote,javax.management.remote.rmi,javax.management.timer,javax.naming,javax.naming.directory,javax.naming.event,javax.naming.ldap,javax.naming.spi,javax.net,javax.net.ssl,javax.print,javax.print.attribute,javax.print.attribute.standard,javax.print.event,javax.rmi,javax.rmi.CORBA,javax.rmi.ssl,javax.script,javax.security.auth,javax.security.auth.callback,javax.security.auth.kerberos,javax.security.auth.login,javax.security.auth.spi,javax.security.auth.x500,javax.security.cert,javax.security.sasl,javax.sound.midi,javax.sound.midi.spi,javax.sound.sampled,javax.sound.sampled.spi,javax.sql,javax.sql.rowset,javax.sql.rowset.serial,javax.sql.rowset.spi,javax.swing,javax.swing.border,javax.swing.colorchooser,javax.swing.event,javax.swing.filechooser,javax.swing.plaf,javax.swing.plaf.basic,javax.swing.plaf.metal,javax.swing.plaf.multi,javax.swing.plaf.nimbus,javax.swing.plaf.synth,javax.swing.table,javax.swing.text,javax.swing.text.html,javax.swing.text.html.parser,javax.swing.text.rtf,javax.swing.tree,javax.swing.undo,javax.tools,javax.transaction,javax.transaction.xa,javax.xml,javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.annotation.adapters,javax.xml.bind.attachment,javax.xml.bind.helpers,javax.xml.bind.util,javax.xml.crypto,javax.xml.crypto.dom,javax.xml.crypto.dsig,javax.xml.crypto.dsig.dom,javax.xml.crypto.dsig.keyinfo,javax.xml.crypto.dsig.spec,javax.xml.datatype,javax.xml.namespace,javax.xml.parsers,javax.xml.soap,javax.xml.stream,javax.xml.stream.events,javax.xml.stream.util,javax.xml.transform,javax.xml.transform.dom,javax.xml.transform.sax,javax.xml.transform.stax,javax.xml.transform.stream,javax.xml.validation,javax.xml.ws,javax.xml.ws.handler,javax.xml.ws.handler.soap,javax.xml.ws.http,javax.xml.ws.soap,javax.xml.ws.spi,javax.xml.ws.spi.http,javax.xml.ws.wsaddressing,javax.xml.xpath,org.ietf.jgss,org.omg.CORBA,org.omg.CORBA_2_3,org.omg.CORBA_2_3.portable,org.omg.CORBA.DynAnyPackage,org.omg.CORBA.ORBPackage,org.omg.CORBA.portable,org.omg.CORBA.TypeCodePackage,org.omg.CosNaming,org.omg.CosNaming.NamingContextExtPackage,org.omg.CosNaming.NamingContextPackage,org.omg.Dynamic,org.omg.DynamicAny,org.omg.DynamicAny.DynAnyFactoryPackage,org.omg.DynamicAny.DynAnyPackage,org.omg.IOP,org.omg.IOP.CodecFactoryPackage,org.omg.IOP.CodecPackage,org.omg.Messaging,org.omg.PortableInterceptor,org.omg.PortableInterceptor.ORBInitInfoPackage,org.omg.PortableServer,org.omg.PortableServer.CurrentPackage,org.omg.PortableServer.POAManagerPackage,org.omg.PortableServer.POAPackage,org.omg.PortableServer.portable,org.omg.PortableServer.ServantLocatorPackage,org.omg.SendingContext,org.omg.stub.java.rmi,org.w3c.dom,org.w3c.dom.bootstrap,org.w3c.dom.css,org.w3c.dom.events,org.w3c.dom.html,org.w3c.dom.ls,org.w3c.dom.ranges,org.w3c.dom.stylesheets,org.w3c.dom.traversal,org.w3c.dom.views,org.w3c.dom.xpath,org.xml.sax,org.xml.sax.ext,org.xml.sax.helpers
org.osgi.framework.uuid=ff6af39c-98ec-4fbe-b236-ca1283796be3
org.osgi.framework.vendor=Eclipse
org.osgi.framework.version=1.8.0
org.osgi.supports.framework.extension=true
org.osgi.supports.framework.fragment=true
org.osgi.supports.framework.requirebundle=true
os.arch=x86_64
os.name=Mac OS X
os.version=10.13.3
osgi.arch=x86_64
osgi.bundles=reference:file:org.eclipse.osgi.compatibility.state_1.0.200.v20160504-1419.jar,reference:file:org.eclipse.wst.jsdt.nashorn.extension_1.0.2.v201610280128.jar,reference:file:org.eclipse.equinox.simpleconfigurator_1.1.200.v20160504-1450.jar@1:start
osgi.bundles.defaultStartLevel=4
osgi.compatibility.bootdelegation=true
osgi.compatibility.bootdelegation.default=true
osgi.configuration.area=file:/Applications/Zend Studio.app/Contents/Eclipse/configuration/
osgi.framework=file:/Applications/Zend Studio.app/Contents/Eclipse/plugins/org.eclipse.osgi_3.11.3.v20170209-1843.jar
osgi.framework.extensions=reference:file:org.eclipse.osgi.compatibility.state_1.0.200.v20160504-1419.jar,reference:file:org.eclipse.wst.jsdt.nashorn.extension_1.0.2.v201610280128.jar
osgi.framework.shape=jar
osgi.framework.useSystemProperties=true
osgi.frameworkClassPath=., file:/Applications/Zend Studio.app/Contents/Eclipse/plugins/org.eclipse.osgi.compatibility.state_1.0.200.v20160504-1419.jar, file:/Applications/Zend Studio.app/Contents/Eclipse/plugins/org.eclipse.wst.jsdt.nashorn.extension_1.0.2.v201610280128.jar
osgi.install.area=file:/Applications/Zend Studio.app/Contents/Eclipse/
osgi.instance.area=file:/Users/kent/ma/
osgi.instance.area.default=file:/Users/kent/Zend/workspaces/DefaultWorkspace/
osgi.logfile=/Users/kent/ma/.metadata/.log
osgi.nl=en_US
osgi.os=macosx
osgi.requiredJavaVersion=1.8
osgi.splashLocation=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.php_13.6.1.v20170623-1730/splash.bmp
osgi.splashPath=platform:/base/plugins/com.zend.php
osgi.syspath=/Applications/Zend Studio.app/Contents/Eclipse/plugins
osgi.tracefile=/Users/kent/ma/.metadata/trace.log
osgi.ws=cocoa
path.separator=:
product.version=13.6
socksNonProxyHosts=local|*.local|169.254/16|*.169.254/16
sun.arch.data.model=64
sun.boot.class.path=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/resources.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/rt.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/sunrsasign.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/jsse.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/jce.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/charsets.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib/jfr.jar:/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/classes
sun.boot.library.path=/Applications/Zend Studio.app/Contents/Eclipse/plugins/com.zend.jre.macosx.x86_64_1.8.0.121/jre/lib
sun.cpu.endian=little
sun.cpu.isalist=
sun.io.unicode.encoding=UnicodeBig
sun.jnu.encoding=UTF-8
sun.management.compiler=HotSpot 64-Bit Tiered Compilers
sun.os.patch.level=unknown
svnkit.http.methods=Basic
svnkit.library.gnome-keyring.enabled=false
user.country=US
user.dir=/Applications/Zend Studio.app/Contents/MacOS
user.home=/Users/kent
user.language=en
user.name=kent
user.timezone=America/New_York

*** Features:
com.zend.php.productivity (13.6.1.v20170410-20170623-1730-697) "Zend Studio"
org.eclipse.datatools.connectivity.feature (1.13.0.201603142002) "Data Tools Platform Connectivity Plug-in"
org.eclipse.datatools.connectivity.oda.designer.core.feature (1.13.0.201603142002) "DTP ODA Designer UI Framework Plug-in"
org.eclipse.datatools.connectivity.oda.designer.feature (1.13.0.201603142002) "DTP ODA Designer UI Framework Plug-in"
org.eclipse.datatools.connectivity.oda.feature (1.13.0.201603142002) "DTP Open Data Access"
org.eclipse.datatools.doc.user (1.13.0.201603142002) "Data Tool Platform User Documentation"
org.eclipse.datatools.enablement.mysql.feature (1.13.0.201603142002) "Eclipse Data Tools Platform Enablement"
org.eclipse.datatools.modelbase.feature (1.13.0.201603142002) "Eclipse Data Tools Platform SQLModel Plug-in"
org.eclipse.dltk.core (5.7.1.201703020501) "Eclipse Dynamic Languages Toolkit"
org.eclipse.dltk.core.index.lucene (5.7.1.201703020501) "Eclipse Dynamic Languages Toolkit Index"
org.eclipse.egit (4.6.1.201703071140-r) "Git integration for Eclipse"
org.eclipse.egit.gitflow.feature (4.6.1.201703071140-r) "Git integration for Eclipse - Gitflow support"
org.eclipse.emf (2.12.0.v20160526-0356) "EMF - Eclipse Modeling Framework Runtime and Tools"
org.eclipse.emf.codegen (2.11.0.v20160526-0356) "EMF Code Generation"
org.eclipse.emf.codegen.ecore (2.12.0.v20160526-0356) "EMF Ecore Code Generator"
org.eclipse.emf.codegen.ecore.ui (2.12.0.v20160526-0356) "EMF Ecore Code Generator UI"
org.eclipse.emf.codegen.ui (2.8.0.v20160526-0356) "EMF Code Generation UI"
org.eclipse.emf.common (2.12.0.v20160420-0247) "EMF Common"
org.eclipse.emf.common.ui (2.11.0.v20160526-0356) "EMF Common UI"
org.eclipse.emf.converter (2.11.0.v20160526-0356) "EMF Model Converter"
org.eclipse.emf.databinding (1.4.0.v20160526-0356) "EMF Data Binding"
org.eclipse.emf.databinding.edit (1.4.0.v20160526-0356) "EMF Edit Data Binding"
org.eclipse.emf.ecore (2.12.0.v20160420-0247) "EMF Ecore"
org.eclipse.emf.ecore.edit (2.9.0.v20160526-0356) "EMF Ecore Edit"
org.eclipse.emf.ecore.editor (2.12.0.v20160526-0356) "EMF Sample Ecore Editor"
org.eclipse.emf.edit (2.12.0.v20160526-0356) "EMF Edit"
org.eclipse.emf.edit.ui (2.12.0.v20160526-0356) "EMF Edit UI"
org.eclipse.emf.mapping (2.9.0.v20160526-0356) "EMF Mapping"
org.eclipse.emf.mapping.ecore (2.9.0.v20160526-0356) "EMF Ecore Mapping"
org.eclipse.emf.mapping.ecore.editor (2.10.0.v20160526-0356) "EMF Ecore Mapping Editor"
org.eclipse.emf.mapping.ui (2.9.0.v20160526-0356) "EMF Mapping UI"
org.eclipse.epp.mpc (1.5.4.v20170222-1941) "Marketplace Client"
org.eclipse.help (2.2.2.v20170301-0400) "Help System Base"
org.eclipse.jdt (3.12.3.v20170301-0400) "Eclipse Java Development Tools"
org.eclipse.jgit (4.6.1.201703071140-r) "JGit Core"
org.eclipse.pde (3.12.3.v20170301-0400) "PDE"
org.eclipse.php (4.3.2.201706231408) "PDT UI Plug-in"
org.eclipse.platform (4.6.3.v20170301-0400) "Eclipse Platform"
org.eclipse.rcp (4.6.3.v20170301-0400) "Eclipse RCP"
org.eclipse.rse (3.7.3.201704251225) "Remote System Explorer End-User Runtime"
org.eclipse.rse.core (3.7.3.201704251225) "RSE Core"
org.eclipse.rse.dstore (3.7.0.201704251225) "RSE DStore Services"
org.eclipse.rse.ftp (3.7.1.201704251225) "RSE FTP Service"
org.eclipse.rse.local (3.7.0.201704251225) "RSE Local Services"
org.eclipse.rse.ssh (3.7.0.201704251225) "RSE SSH Services"
org.eclipse.rse.telnet (3.7.0.201704251225) "RSE Telnet Service"
org.eclipse.rse.useractions (3.7.0.201704251225) "Remote System Explorer User Actions"
org.eclipse.team.svn (4.0.4.I20170216-1700) "Subversive SVN Team Provider"
org.eclipse.tm.terminal.control.feature (4.2.0.201611281915) "Terminal Control (Embeddable Widget)"
org.eclipse.tm.terminal.feature (4.2.0.201611281915) "Terminal View Core"
org.eclipse.tm.terminal.view.feature (4.2.0.201611281915) "Terminal View Core"
org.eclipse.tm.terminal.view.rse.feature (4.2.0.201611281915) "Terminal View Core"
org.eclipse.wst.jsdt.feature (2.0.200.v201612211424) "Eclipse JavaScript Development Tools"
org.eclipse.wst.json_ui.feature (1.0.2.v201612232230) "Eclipse JSON Editors and Tools"
org.eclipse.wst.web_ui.feature (3.8.2.v201702270442) "Eclipse Web Developer Tools"
org.eclipse.wst.xml_ui.feature (3.8.2.v201702270442) "Eclipse XML Editors and Tools"
org.polarion.eclipse.team.svn.connector (6.0.4.I20161211-1700) "Subversive SVN Connectors"
org.polarion.eclipse.team.svn.connector.svnkit18 (6.0.4.I20161211-1700) "Subversive SVN 1.8 SVN Kit Connector"


No whining.

m3126
Posts: 2
Joined: Mon Jan 22, 2018 4:19 pm

Re: Crash on cut on Mac OS High Sierra

Post by m3126 » Sat Feb 03, 2018 10:15 pm

I have all up to date that was mentioned before : osx, zend studio, java. Still same issue. Occasionally. Sometimes the selext multiple lines /delete works. I have resorted to alt+backspace, it deletes by word, not by character. Ridiculous! Please fix! I wonder if it's a trick to sell support?

xavi3359
Posts: 1
Joined: Fri Feb 23, 2018 11:25 am

Re: Crash on cut on Mac OS High Sierra

Post by xavi3359 » Fri Feb 23, 2018 11:32 am

Same issue here.
Cannot delete (nor paste) more than few lines before it crashes !

I'm on MacOS High Sierra
version : 10.13.1 (17B1003)

Zend Studio 13.6
Build ID: 13.6.1.v20170410-20170623-1730-697

Please fix it ASAP !!!

stadskle
Posts: 6
Joined: Sun Aug 23, 2009 3:51 pm

Re: Crash on cut on Mac OS High Sierra

Post by stadskle » Sun Mar 04, 2018 10:03 am

Same here, driving crazy. Any feedback from Zend?

dave1687
Posts: 1
Joined: Mon Mar 05, 2018 12:29 pm

Re: Crash on cut on Mac OS High Sierra

Post by dave1687 » Mon Mar 05, 2018 12:30 pm

arna84 wrote:I still have the issue.
Zend Studio 13.6 and Mac OS High Sierra 10.13.2 and crash when deleting or cutting more than 10 lines.

Have you some news ? Is there a set up to do to avoid that crash ?
It is a huge issue for me...

thanx a lot !
Same issue here. When I'm trying to delete on cut more lines at the same time, app crashes.

Zend Studio: 13.6.1.v20170410-20170623-1730-697
macOS 10.13.2 (17C88) High Sierra
java version "9.0.4"
Java(TM) SE Runtime Environment (build 9.0.4+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.4+11, mixed mode)

hxbro
Posts: 12
Joined: Tue Nov 24, 2009 9:39 pm
Location: UK
Contact:

Re: Crash on cut on Mac OS High Sierra

Post by hxbro » Tue Mar 13, 2018 10:21 am

I've given in on zend studio, it appears very little is done to fix the bugs, this one is extremely annoying to the point you can't actually work with it without losing work. It's a shame, what was once a great product, appears to be dead in the water.

I'm off to phpstorm, whilst it has it's workflow issues in some cases, the product is actively developed with regular updates, and knows my code better than I do to tell me if there's something wrong with it ;)

User avatar
rbzend
Zend Global Support
Posts: 536
Joined: Tue Dec 23, 2008 5:03 pm

Re: Crash on cut on Mac OS High Sierra

Post by rbzend » Tue Mar 27, 2018 3:33 pm

Hi guys,

This problem, as you have figured out already, is a problem in Eclipse itself. But not to worry, we have a patch that fixes it.

Unzip the attached file into
/Applications/Zend Studio.app/Contents/Eclipse/plugins/
(replacing the original file)

Hope this helps.
Attachments
org.eclipse.swt.cocoa.macosx.x86_64_3.105.3.v20170228-0512.jar.zip
(2.17 MiB) Downloaded 106 times
Roman Basayev
Rogue Wave Support
https://support.roguewave.com/

marketacumen
Posts: 19
Joined: Thu Jul 15, 2010 9:03 pm

Re: Crash on cut on Mac OS High Sierra

Post by marketacumen » Wed Apr 18, 2018 7:48 pm

Thanks @rbzend - this fix worked for me; just crashed the app three times in a row trying to cut/paste code between two files (amazing how that finger memory is so hard to change) and came back here. I applied the patch and took the same steps - no crash!

Hopefully this will be integrated into a Zend update within the app!

FINALLY! I can work without worrying about losing everything when I cut more than 10 lines of text.
No whining.


Post Reply